## netscript-2.4 5.0.12

=== Makefile ===
# Edited for Debian GNU/Linux.
DESTDIR =

#
#  Installation Makefile for netscript-2.4
#
#  This is rude!  FIXME!

ETCDIR=/etc
CONFDIR=$(DESTDIR)$(ETCDIR)/netscript
IPDEFSCONFDIR=$(CONFDIR)/ipfilter-defs
SBINDIR=$(DESTDIR)/sbin
USRSBINDIR=$(DESTDIR)/usr/sbin
INITDIR=$(DESTDIR)/etc/init.d
PPPETCDIR=$(DESTDIR)/$(ETCDIR)/ppp
PPPUPDIR=$(PPPETCDIR)/ip-up.d
PPPDOWNDIR=$(PPPETCDIR)/ip-down.d
INSTALL=/usr/bin/install

dummy:
	echo "BLeep!"

install: dummy
	- mkdir -p $(SBINDIR)
	- mkdir -p $(USRSBINDIR)
	- mkdir -p $(INITDIR)
	- mkdir -p $(CONFDIR)
	- mkdir -p -m 700 $(IPDEFSCONFDIR)
	- mkdir -p $(PPPUPDIR)
	- mkdir -p $(PPPDOWNDIR)
	$(INSTALL) -m 755 netscript $(SBINDIR)/netscript
	$(INSTALL) -m 755 netscript-compile $(SBINDIR)/netscript-compile
	$(INSTALL) -m 755 netscript.init $(INITDIR)/netscript
	$(INSTALL) -m 644 ipfilter.conf network.conf $(CONFDIR)
	$(INSTALL) -m 644 if.conf qos.conf $(CONFDIR)
	$(INSTALL) -m 644 netscript-compile.conf ipfilter-defs.conf $(CONFDIR)
	$(INSTALL) -m 644 README.etc $(CONFDIR)/README
	$(INSTALL) -m 644 ipfilter-defs/* $(IPDEFSCONFDIR)
	
#	touch $(CONFDIR)/iptables
#	touch $(CONFDIR)/ip6tables
#	chmod 0400 $(CONFDIR)/iptables $(CONFDIR)/ip6tables
	$(INSTALL) -m 755 netscript.ppp.ip-up $(PPPUPDIR)/netscript
	$(INSTALL) -m 755 netscript.ppp.ip-down $(PPPDOWNDIR)/netscript

=== debian/changelog ===
netscript-2.4 (5.0.12) unstable; urgency=low

  * Fix  prerm script by editing out #DEBHELPER# This fixes problem
    where netscript closes down all interfaces on package remove or purge.
    Leaving proper clean up for a month to allow people to get rid of the
    bad prerm package maintainer scripts - will go to telling debhelper
    to only install /etc/rc.d startup/shutdown symlinks. (Closes: #241989)

 -- Matthew Grant <grantma@anathoth.gen.nz>  Wed,  9 Jun 2004 12:07:49 +1200

netscript-2.4 (5.0.11) unstable; urgency=low

  * Add support for iptables policy match module to close new ipsec
    packet injection hole.
  * Changed ipfilter-defs(5) man page for new IPSEC interface name
    directives.

 -- Matthew Grant <grantma@anathoth.gen.nz>  Fri, 23 Apr 2004 14:28:40 +1200

netscript-2.4 (5.0.10) unstable; urgency=low

  * Initial work to  netscript to work with the 2.6 kernel.
  * Removed configuration samples for deprecated Free S/WAN support. Free
    S/WAN KLIPS is a real mess in terms of interfaces, routing and confg
    scripts!
  * Added mentions of 2.6 kernel in most places needed.  Man pages may need
    it.
  * Removed suggestion for vrrpd - this was a failed experiment.
  * Upgraded standards version to 3.6.1. 

 -- Matthew Grant <grantma@anathoth.gen.nz>  Fri, 26 Mar 2004 08:03:43 +1200

netscript-2.4 (5.0.9) unstable; urgency=low

  * Fix default case in init script. 

 -- Matthew Grant <grantma@anathoth.gen.nz>  Tue, 23 Dec 2003 15:48:23 +1300

netscript-2.4 (5.0.8) unstable; urgency=low

  * Basically a clean up to get ready to go into unstable.
  * Changed 'net' command to 'netscript' to stop a clash with samba-comon
    in sarge and sid.
  * Changed 'net-compile' to 'netscript-compile to match above.
  * Adjusted config files and other files to match above.
  * Removed conffile as this results in duplicate config file lintian
    warnings.
  * Fixed lintian warning about 'Upstream Author(s)'.
  * Updated Debian Standards version to 3.5.7 

 -- Matthew Grant <grantma@anathoth.gen.nz>  Mon, 15 Dec 2003 22:05:30 +0000

netscript-2.4 (5.0.7) unstable; urgency=low

  * Added work around for kernel crash bug with psd and limit modules. 

 -- Matthew Grant <grantma@anathoth.gen.nz>  Sun,  8 Jun 2003 00:12:04 +1200

netscript-2.4 (5.0.6) unstable; urgency=low

  * Added support for adjusting portscan chain psd module parameters
    to deal with high traffic situations.

 -- Matthew Grant <grantma@anathoth.gen.nz>  Thu,  5 Jun 2003 16:12:25 +1200

netscript-2.4 (5.0.5) unstable; urgency=low

  * Previous change lost chaings in 5.0.3 with ipfilter-defs.conf.  Fixed. 

 -- Matthew Grant <grantma@anathoth.gen.nz>  Tue,  3 Jun 2003 15:45:20 +1200

netscript-2.4 (5.0.4) unstable; urgency=low

  * Fixed problem with startup getting order of chains in iplcl and ipfwd 
    in correct.  This was due to 2 ways of adding chains into these, a simple
    add on start up, and then indexing for manual incremental add ins.  Gone
    to indexing mode for all additions, and made function that returns index
    into iplcl and ipfwd a lot faster (O(n) instead of O(n2).). The change
    is only in /etc/netscript/ipfilter-defs.conf, has been tested carefully, 
    and does nto affect the rest of the netscript system.

 -- Matthew Grant <grantma@anathoth.gen.nz>  Tue,  3 Jun 2003 14:16:41 +1200

netscript-2.4 (5.0.3) unstable; urgency=low

  * Fixed problem with REJECT_UDP_NET - '-m STATE' should be '-m state'.
  * Added new alternative FreeS/WAN start up code for multiple interfaces.
    network.conf needs a cleanup for next release that is backwards
    compatible.
  * Fixed --pkt-type argmuents in ipfilter-defs.conf.  Fixes dropping
    of BROADCAST packets for INPUT and FORWARD chains.

 -- Matthew Grant <grantma@anathoth.gen.nz>  Thu, 29 May 2003 09:47:28 +1200

netscript-2.4 (5.0.2) unstable; urgency=low

  * Updated ipfilter-defs.5 manpage for new compile rules below. 

 -- Matthew Grant <grantma@anathoth.gen.nz>  Wed, 23 Apr 2003 07:58:08 +1200

netscript-2.4 (5.0.1) unstable; urgency=low

  * Added support for more logging targets, for each type of new coonnection,
    so that strings can be prepended to log messages.  New compile targets
    are LOG_BROADCAST, LOG_PROTO, LOG_UDP, LOG_TCP, LOG_UDP_NET, LOG_TCP_NET,
    LOG_NET, LOG_IFACE, LOG. The new LOG_MSG and LOG_MSG_RESET are used to 
    set the log text.
  * Added support for network addresses for UDP, and TCP.  Targets are 
    ACCEPT_TCP_NET, ACCEPT_UDP_NET, REJECT_TCP_NET, REJECT_UDP_NET,
    DROP_TCP_NET, and DROP_UDP_NET, as well as above log targets.
  * Fixed spelling bug with the net-compile run messages.
  * Fixed net-compile bug where script would compile then give up with and
    error exit, and not complete compiling when there where no rules
    defined in ipfilter-defs files.
  * Manpages left to next minor release as this one has to get out the door...

 -- Matthew Grant <grantma@anathoth.gen.nz>  Tue, 15 Apr 2003 11:30:46 +1200

netscript-2.4 (5.0.0) unstable; urgency=low

  * Changed netscript so that it can support compiling and configuring 
    from ipfilter-defs on start up.
  * Added type checking as much as practical to the net-compile command.
  * Updated manpages for existing commands.
  * Created manpages for ipfilter-defs.
  * Moved net-compile to /sbin from /usr/sbin.
  * Set permissions on install to 700 for ipfilter-defs directory as it
    contains security information.

 -- Matthew Grant <grantma@anathoth.gen.nz>  Mon, 24 Mar 2003 15:09:50 +1200

netscript-2.4 (4.23) unstable; urgency=low

  * Added MARTIAN_BYPASS to ipf4_martians so that some source addresses
    can be by passed in martians check.
  * Fixed some of the examples in ipfilter-defs configuration.

 -- Matthew Grant <grantma@anathoth.gen.nz>  Wed, 26 Feb 2003 15:36:08 +1300

netscript-2.4 (4.22) unstable; urgency=low

  * Made some corrections for missing files etc.



=== debian/control ===
Source: netscript-2.4
Section: net
Priority: optional
Maintainer: Matthew Grant <grantma@anathoth.gen.nz>
Standards-Version: 3.6.1
Build-Depends-Indep: debhelper (>= 4.0.2)

Package: netscript-2.4
Architecture: all
Depends: iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables | iptables-router (>= 1.2.3), netbase, bash (>= 2.03)
Provides: netscript
Conflicts: netscript, netscript-2.2
Replaces: netscript
Recommends: zebra
Suggests: wanpipe
Description: Linux 2.4.x (and 2.6.x) router/firewall network configuration system
 This is a router and firewall network configuration system.  It is specific to
 the 2.4.x iand 2.6.x kernel series. This system is in production use, even
 though this is an experimental version.
 .
 It offers much finer grained control of the network setup than the standard
 system in netbase, with support for bridge configuration, iptables, ip route
 and tc traffic control.  It is optimised for use on high traffic routers with
 interfaces being reconfigured individually while the rest of the machine is 
 routing traffic 24x7.  Common boiler plate filter creation functions are 
 provided to ease th task of constructing iptables filters in the context
 of operation within an ISP network.  
 .
 Since this package is designed for a heavy duty network router, it is designed
 to work in conjunction with a routing daemon as found in the zebra package.
 .
 DON'T use this on a server - it is designed for dedicated routers 
 and firewalls with hardly any configured services. For the faint of heart,
 have a look at the mason package.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	# -$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/netscript-2.4


# Build architecture-independent files here.
binary-indep: DH_OPTIONS=-i
binary-indep: DESTDIR=`pwd`/debian/netscript-2.4
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	install netscript.init debian/init	
	dh_installinit --init-script=netscript -r -- start 35 0 6 . start 40 S .
#	dh_installcron
	dh_installman netscript-2.4.conf.5 netscript.8 netscript-compile.8 ipfilter-defs.5
	ln -s netscript-2.4.conf.5.gz $(DESTDIR)/usr/share/man/man5/network.conf.5.gz
	ln -s netscript-2.4.conf.5.gz $(DESTDIR)/usr/share/man/man5/if.conf.5.gz
	ln -s netscript-2.4.conf.5.gz $(DESTDIR)/usr/share/man/man5/qos.conf.5.gz
	ln -s netscript-2.4.conf.5.gz $(DESTDIR)/usr/share/man/man5/ipfilter.conf.5.gz
		
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# package is a bunch of shell scripts

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## netscript-2.4 5.1.0

=== Makefile ===
--- 
+++ 
@@ -31,6 +31,7 @@
 	$(INSTALL) -m 755 netscript $(SBINDIR)/netscript
 	$(INSTALL) -m 755 netscript-compile $(SBINDIR)/netscript-compile
 	$(INSTALL) -m 755 netscript.init $(INITDIR)/netscript
+	$(INSTALL) -m 755 wep.conf $(CONFDIR)
 	$(INSTALL) -m 644 ipfilter.conf network.conf $(CONFDIR)
 	$(INSTALL) -m 644 if.conf qos.conf $(CONFDIR)
 	$(INSTALL) -m 644 netscript-compile.conf ipfilter-defs.conf $(CONFDIR)

=== debian/changelog ===
netscript-2.4 (5.1.0) unstable; urgency=low

  * Added initial support for laptops and whereami.  This still needs some 
    work, but I am getting it out there as it is now usable.
  * Added entries to README.Debian to document how to set above up.

 -- Matthew Grant <grantma@anathoth.gen.nz>  Fri, 29 Oct 2004 08:38:27 +1300

netscript-2.4 (5.0.14) unstable; urgency=medium

  * Merge in work down for NMU.
  * Get rid of startup and shutdown init calls in maintainer scripts. 

 -- Matthew Grant <grantma@anathoth.gen.nz>  Wed, 13 Oct 2004 08:40:55 +1300

netscript-2.4 (5.0.13-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for (trivial,) sarge-targetted RC bugfix
  * Replace zebra with quagga in Recommends:, since the former is no
    longer available (closes: #273043).

 -- Steve Langasek <vorlon@debian.org>  Sat,  2 Oct 2004 03:07:00 -0700

netscript-2.4 (5.0.13) unstable; urgency=low
 
  * Added fix proposed by Bart Samwel <bart@samwel.tk>, fixing problem with
    saving of filters with  'netscript ipfilter save'  Local vars MANGLE and 
    FILTER were not initialised to zero in ipv4filter_check(). Also fixed
    ipv6filter_check(). (Closes: #267151)

 -- Matthew Grant <grantma@anathoth.gen.nz>  Sat, 28 Aug 2004 19:12:06 +1200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
 Provides: netscript
 Conflicts: netscript, netscript-2.2
 Replaces: netscript
-Recommends: zebra
-Suggests: wanpipe
+Recommends: quagga
+Suggests: wanpipe, whereami, ifplugd, waproamd, dnsmasq, resolvconf, dhclient | pump
 Description: Linux 2.4.x (and 2.6.x) router/firewall network configuration system
  This is a router and firewall network configuration system.  It is specific to
  the 2.4.x iand 2.6.x kernel series. This system is in production use, even
@@ -27,7 +27,7 @@
  of operation within an ISP network.  
  .
  Since this package is designed for a heavy duty network router, it is designed
- to work in conjunction with a routing daemon as found in the zebra package.
+ to work in conjunction with a routing daemon as found in the quagga package.
  .
  DON'T use this on a server - it is designed for dedicated routers 
  and firewalls with hardly any configured services. For the faint of heart,

=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,7 @@
 #	dh_installemacsen
 #	dh_installpam
 	install netscript.init debian/init	
-	dh_installinit --init-script=netscript -r -- start 35 0 6 . start 40 S .
+	dh_installinit --init-script=netscript --no-start -- start 35 0 6 . start 40 S .
 #	dh_installcron
 	dh_installman netscript-2.4.conf.5 netscript.8 netscript-compile.8 ipfilter-defs.5
 	ln -s netscript-2.4.conf.5.gz $(DESTDIR)/usr/share/man/man5/network.conf.5.gz

## netscript-2.4 5.1.1

=== debian/changelog ===
netscript-2.4 (5.1.1) unstable; urgency=low

  * Updated to support 2.6.14 and 2.6.16 kernels.
  * Updated debhelper compatibility to 4 from 3.  Sarge support is needed. 

 -- Matthew Grant <grantma@anathoth.gen.nz>  Sat, 18 Feb 2006 20:21:57 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Matthew Grant <grantma@anathoth.gen.nz>
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2
 Build-Depends-Indep: debhelper (>= 4.0.2)
 
 Package: netscript-2.4

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=3
+export DH_COMPAT=4
 
 build: build-stamp
 build-stamp:

## netscript-2.4 5.1.2

=== debian/changelog ===
netscript-2.4 (5.1.2) unstable; urgency=low

  * Add support to control sending of redirects on an interface.  This is
    useful for use with openvpn which can route packets in and out of the
    VPN tun device.

 -- Matthew Grant <grantma@anathoth.gen.nz>  Tue, 30 Jan 2007 11:55:05 +1300

## netscript-2.4 5.1.5-0.1

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 install: dummy
 	- mkdir -p $(SBINDIR)
-	- mkdir -p $(USRSBINDIR)
+#	- mkdir -p $(USRSBINDIR)
 	- mkdir -p $(INITDIR)
 	- mkdir -p $(CONFDIR)
 	- mkdir -p -m 700 $(IPDEFSCONFDIR)

=== debian/changelog ===
netscript-2.4 (5.1.5-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix bashism in netscript-compile. The problems reported in netscript
    by checkbashisms are false positives, it has a local definition of
    a source function. (Closes: #465011)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sat, 08 Mar 2008 23:54:46 +0100

netscript-2.4 (5.1.5) unstable; urgency=low

  * Fix lintian warnings debian-rules-sets-DH_COMPAT,
    out-of-date-standards-version, init.d-script-missing-lsb-section,
    and package-contains-empty-directory /usr/sbin
  * Update to Standards Version 3.7.3

 -- Matthew Grant <grantma@anathoth.gen.nz>  Wed, 06 Feb 2008 04:22:55 +0000

netscript-2.4 (5.1.4) unstable; urgency=low

  * Fixed typos in package description in debian/control (closes: #274815)
  * Fixed linitian warning about standards version 3.6.2 -> 3.7.6
  * Replaced Build-Depends-Indep: with Build-Depends in debian/control
    to fix lintian warning.

 -- Matthew Grant <grantma@anathoth.gen.nz>  Sat,  2 Feb 2008 13:18:00 +1300

netscript-2.4 (5.1.3) unstable; urgency=low

  * Updated to support kernel 2.6.22
  * Merged IPV4_FILTER_KERNEL and IPV6_FILTER_KERNEL switches
    to IP_FILTER_KERNEL switch because of merging of upstream netfilter
    v4 and v6 modules to enable connection tracking in IPv6

 -- Matthew Grant <grantma@anathoth.gen.nz>  Sat, 02 Feb 2008 12:06:44 +1300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Matthew Grant <grantma@anathoth.gen.nz>
-Standards-Version: 3.6.2
-Build-Depends-Indep: debhelper (>= 4.0.2)
+Standards-Version: 3.7.3
+Build-Depends: debhelper (>= 4.0.2)
 
 Package: netscript-2.4
 Architecture: all
@@ -15,7 +15,7 @@
 Suggests: wanpipe, whereami, ifplugd, waproamd, dnsmasq, resolvconf, dhclient | pump
 Description: Linux 2.4.x (and 2.6.x) router/firewall network configuration system
  This is a router and firewall network configuration system.  It is specific to
- the 2.4.x iand 2.6.x kernel series. This system is in production use, even
+ the 2.4.x and 2.6.x kernel series. This system is in production use, even
  though this is an experimental version.
  .
  It offers much finer grained control of the network setup than the standard
@@ -23,7 +23,7 @@
  and tc traffic control.  It is optimised for use on high traffic routers with
  interfaces being reconfigured individually while the rest of the machine is 
  routing traffic 24x7.  Common boiler plate filter creation functions are 
- provided to ease th task of constructing iptables filters in the context
+ provided to ease the task of constructing iptables filters in the context
  of operation within an ISP network.  
  .
  Since this package is designed for a heavy duty network router, it is designed

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=4
 
 build: build-stamp
 build-stamp:

## netscript-2.4 5.1.7

=== debian/changelog ===
netscript-2.4 (5.1.7) unstable; urgency=low

  * Remove suggests entry in debian/control for waproamd.  (Closes: #509392)  

 -- Matthew Grant <matthewgrant5@gmail.com>  Mon, 29 Dec 2008 17:19:53 +1300

netscript-2.4 (5.1.6) unstable; urgency=low

  * Fix netscript so that ti will run with dash as /bin/sh.
  * Update my maintainer address to matthewgrant5@gmail.com 

 -- Matthew Grant <matthewgrant5@gmail.com>  Mon, 29 Dec 2008 13:17:53 +1300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: netscript-2.4
 Section: net
 Priority: optional
-Maintainer: Matthew Grant <grantma@anathoth.gen.nz>
+Maintainer: Matthew Grant <matthewgrant5@gmail.com>
 Standards-Version: 3.7.3
 Build-Depends: debhelper (>= 4.0.2)
 
@@ -12,7 +12,7 @@
 Conflicts: netscript, netscript-2.2
 Replaces: netscript
 Recommends: quagga
-Suggests: wanpipe, whereami, ifplugd, waproamd, dnsmasq, resolvconf, dhclient | pump
+Suggests: whereami, dnsmasq, resolvconf, dhclient | pump | dhcpcd, wpasupplicant, ifplugd
 Description: Linux 2.4.x (and 2.6.x) router/firewall network configuration system
  This is a router and firewall network configuration system.  It is specific to
  the 2.4.x and 2.6.x kernel series. This system is in production use, even

## netscript-2.4 5.2.1

=== debian/changelog ===
netscript-2.4 (5.2.1) unstable; urgency=low

  * Fix up netscript-interface.conf upstart file, make it ignore interface
    lo. 
  * Add dependency on virtual package dhcp-client for initial system install. 
  * Added or depends on dhcp3-client as well, and dhcp3-client does not also
    provide the dhcp-client virtual package.

 -- Matthew Grant <matthewgrant5@gmail.com>  Tue, 22 Dec 2009 13:02:34 +1300

netscript-2.4 (5.2) unstable; urgency=low

  * Add switch to disable IPv6
  * Auto enable/disable IPv6 when adding/deleting an interface to a bridge.
  * Fix bug with deleting interfaces from bridges other than brg0
  * Set up default for disabling IPv6 on dynamic interfaces.
  * Add switch to remove bridges from netfilter filtering.
  * Add ability to name bridges. 
  * Install udev file correctly
  * Fix a few typos
  * Change IPv6 default route prefix to 'default'
  * Changed compatibility level to 5.
  * Fix lintin errors in man pages.
  * Remved empty maintainer script debian/prerm.
  * Updated to latest Debian Standards version 3.8.3 etc.
  * Added xt_cluster to correct insmod secion.
  * Split package to provide for different init environments
  * Added initial support for upstart initctl

 -- Matthew Grant <matthewgrant5@gmail.com>  Mon, 21 Dec 2009 22:28:25 +1300

netscript-2.4 (5.1.10) unstable; urgency=low

  * Fixed netscript to work better with 2.6.31.  Doesn't load modules
    when IP_KERNEL_FILTER is set to NONE, and netscript reload adjusts
    loaded modules according to setting.
  * Recording adding of patches for nmu2. (Closes: #546459) 
  * Recording adding of patches for nmu3. (Closes: #547509) 

 -- Matthew Grant <matthewgrant5@gmail.com>  Tue, 20 Oct 2009 21:38:39 +1300

netscript-2.4 (5.1.9) unstable; urgency=low

  * Bumping version to force upload. 

 -- Matthew Grant <matthewgrant5@gmail.com>  Sun, 04 Oct 2009 14:40:47 +1300

netscript-2.4 (5.1.8) unstable; urgency=low

  * Fixing module loading for kernel 2.6.31. 

 -- Matthew Grant <matthewgrant5@gmail.com>  Thu, 01 Oct 2009 09:01:32 +1300

netscript-2.4 (5.1.7+nmu3) unstable; urgency=low

  * Non-maintainer upload to fix release goal.
  * Make ifupdown init.d scrtip dependency optional, to avoid having the
    package depend on ifupdown.  Fixes installation problem detected by
    piuparts.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 20 Sep 2009 14:45:23 +0200

netscript-2.4 (5.1.7+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Patched the wrong file in the last upload.  Patch netscript.init,
    not debian/init.  Make sure to remove the debian/init copy in the
    clean target of debian/rules.  Last NMU is obsolete (Closes: #546457).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 13 Sep 2009 12:55:24 +0200

netscript-2.4 (5.1.7+nmu1) unstable; urgency=low

  * Non-maintainer upload to fix release goal.
  * Fix init.d script dependency headers (Closes: 542246).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 13 Sep 2009 11:58:38 +0200
 

=== debian/control ===
Source: netscript-2.4
Section: net
Priority: optional
Maintainer: Matthew Grant <matthewgrant5@gmail.com>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7)

Package: netscript-2.4
Architecture: all
Depends: iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables | iptables-router (>= 1.2.3), netbase, bash (>= 2.03), dhcp-client | dhcp3-client
Provides: netscript, ifupdown
Conflicts: netscript, netscript-2.2, ifupdown
Replaces: netscript, ifupdown
Recommends: quagga | radvd
Suggests: whereami, dnsmasq, resolvconf, dhclient | pump | dhcpcd, wpasupplicant, wicd, quagga
Description: Linux 2.4/2.6 router/firewall/VM host network config. system.
 This is a router and firewall network configuration system.  It is specific to
 the 2.4.x and 2.6.x kernel series. This system is in production use, even
 though this is an experimental version.
 .
 It offers much finer grained control of the network setup than the standard
 system in netbase, with support for bridge configuration, iptables, ip route
 and tc traffic control.  It is optimised for use on high traffic routers with
 interfaces being reconfigured individually while the rest of the machine is 
 routing traffic 24x7.  Common boiler plate filter creation functions are 
 provided to ease the task of constructing iptables filters in the context
 of operation within an ISP network.  
 .
 Since this package is designed for a heavy duty network router, it is designed
 to work in conjunction with a routing daemon as found in the quagga package.
 .
 DON'T use this on a pure server - it is VERY useful for a Virtual Machine 
 server with complex networking needs.  This is because of its comprehensive
 network configuration capabilities.  Thus it is a tempting replacement
 when you have to rip out NetworkManager on a server.
 .
 It was originally designed for dedicated routers and firewalls, and hence its
 lightweight scripting footprint. When it comes to firewall configuration 
 though, have a look at the mason package if you are faint of heart.

Package: netscript-2.4-upstart
Architecture: all
Depends: iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables | iptables-router (>= 1.2.3), netbase, bash (>= 2.03), dhcp-client | dhcp3-client, upstart
Provides: netscript, ifupdown
Conflicts: netscript, netscript-2.2, ifupdown, network-manager
Replaces: netscript, netscript-2.4, ifupdown, network-manager
Recommends: quagga | radvd
Suggests: whereami, dnsmasq, resolvconf, dhclient | pump | dhcpcd, wpasupplicant, wicd, quagga
Description: Linux 2.4/2.6 router/firewall/VM host network config. system.
 This is a router and firewall network configuration system.  It is specific
 to the 2.4.x and 2.6.x kernel series. This system is in production use, even
 though this is an experimental version. This is the version of the package
 to use with the native upstart init program.  Ir replaces ifupdown, and removes
 network-manager as the latters interface control 'greediness' causes lots of
 issues.
 .
 It offers much finer grained control of the network setup than the standard
 system in netbase, with support for bridge configuration, iptables, ip route
 and tc traffic control.  It is optimised for use on high traffic routers with
 interfaces being reconfigured individually while the rest of the machine is 
 routing traffic 24x7.  Common boiler plate filter creation functions are 
 provided to ease the task of constructing iptables filters in the context
 of operation within an ISP network.  
 .
 Since this package is designed for a heavy duty network router, it is designed
 to work in conjunction with a routing daemon as found in the quagga package.
 .
 DON'T use this on a pure server - it is VERY useful for a Virtual Machine 
 server with complex networking needs.  This is because of its comprehensive
 network configuration capabilities.  Thus it is a tempting replacement
 when you have to rip out NetworkManager on a server.
 .
 It was originally designed for dedicated routers and firewalls, and hence its
 lightweight scripting footprint. When it comes to firewall configuration 
 though, have a look at the mason package if you are faint of heart.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	# -$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/<package>.
	$(MAKE) install DESTDIR=`pwd`/debian/netscript-2.4
	$(MAKE) install DESTDIR=`pwd`/debian/netscript-2.4-upstart


# Build architecture-independent files here.
binary-indep: DH_OPTIONS=-i
binary-indep: DESTDIR=`pwd`/debian/netscript-2.4
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs --all
#	dh_installexamples
	dh_installinit --package=netscript-2.4 --name=netscript --no-start -- start 35 0 6 . start 40 S .
	dh_installinit --package=netscript-2.4-upstart --name=netscript --no-start
	dh_installinit --package=netscript-2.4-upstart --name=netscript-interface --no-start
	dh_installudev --package=netscript-2.4 --name=netscript --priority=85
	dh_installman -A netscript-2.4.conf.5 netscript.8 netscript-compile.8 ipfilter-defs.5
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# package is a bunch of shell scripts

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## netscript-2.4 5.2.2

=== debian/changelog ===
netscript-2.4 (5.2.2) unstable; urgency=low

  * Fix missing quotes around script for activating 'chained'
    interfaces (Closes: #592340).
  * Add missing overrides for /etc/init.d/netscript-2.4 startup.
  * Added linitian overrides for errors about missing init dependencies on
    $remote-fs
  * Increased Standards Version to 3.9.1 

 -- Matthew Grant <matthewgrant5@gmail.com>  Wed, 18 Aug 2010 11:52:39 +1200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: Matthew Grant <matthewgrant5@gmail.com>
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7)
 
 Package: netscript-2.4
 Architecture: all
-Depends: iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables | iptables-router (>= 1.2.3), netbase, bash (>= 2.03), dhcp-client | dhcp3-client
+Depends: iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables | iptables-router (>= 1.2.3), netbase, bash (>= 2.03), dhcp-client | dhcp3-client, ${misc:Depends}
 Provides: netscript, ifupdown
 Conflicts: netscript, netscript-2.2, ifupdown
 Replaces: netscript, ifupdown
@@ -40,7 +40,7 @@
 
 Package: netscript-2.4-upstart
 Architecture: all
-Depends: iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables | iptables-router (>= 1.2.3), netbase, bash (>= 2.03), dhcp-client | dhcp3-client, upstart
+Depends: iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables | iptables-router (>= 1.2.3), netbase, bash (>= 2.03), dhcp-client | dhcp3-client, upstart, ${misc:Depends}
 Provides: netscript, ifupdown
 Conflicts: netscript, netscript-2.2, ifupdown, network-manager
 Replaces: netscript, netscript-2.4, ifupdown, network-manager

=== debian/rules ===
--- 
+++ 
@@ -50,6 +50,7 @@
 	dh_installinit --package=netscript-2.4-upstart --name=netscript-interface --no-start
 	dh_installudev --package=netscript-2.4 --name=netscript --priority=85
 	dh_installman -A netscript-2.4.conf.5 netscript.8 netscript-compile.8 ipfilter-defs.5
+	dh_lintian
 	dh_installchangelogs
 	dh_link
 	dh_compress

## netscript-2.4 5.2.5

=== debian/changelog ===
netscript-2.4 (5.2.5) unstable; urgency=low

  * Add support for accept RA advertised routes based on mask length 
  * Upgraded standards version to 3.9.2. 
  * Overrode lintian errors and warnings about remote_fs - this package
    configures the network, which is needed for remote_fs! 
  * Fixed problem with dh_installinit installing start up scripts on
    upstart version of the package.
  * Made netscript recognise upstart runlevel 'unknown'.
  * Fixed race condition in upstart /etc/init/*.conf files.
  * Introduced /etc/init/netscript-shutdown.conf for clean shutdown with
    upstart.

 -- Matthew Grant <matthewgrant5@gmail.com>  Sun, 24 Apr 2011 20:06:57 +1200

netscript-2.4 (5.2.4) unstable; urgency=low

  * Fix problems with upstart package not initialising correctly due to
    start up races.
  * Remove /32 and /128 from address deletion in if.conf 

 -- Matthew Grant <matthewgrant5@gmail.com>  Thu, 27 Jan 2011 20:58:36 +1300

netscript-2.4 (5.2.3) unstable; urgency=low

  * Remove  conflict with network-manager, as this can cause too much pain on
    laptops with wicd being unmaintained now.  It is better to install 
    netscript-2.4-upstart, configure it, and then tell network-manager to
    interfaces alone by setting [ifupdown]\nmanage = false.

 -- Matthew Grant <matthewgrant5@gmail.com>  Wed, 22 Dec 2010 15:41:03 +1300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Matthew Grant <matthewgrant5@gmail.com>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7)
 
 Package: netscript-2.4
@@ -42,8 +42,8 @@
 Architecture: all
 Depends: iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables | iptables-router (>= 1.2.3), netbase, bash (>= 2.03), dhcp-client | dhcp3-client, upstart, ${misc:Depends}
 Provides: netscript, ifupdown
-Conflicts: netscript, netscript-2.2, ifupdown, network-manager
-Replaces: netscript, netscript-2.4, ifupdown, network-manager
+Conflicts: netscript, netscript-2.2, ifupdown
+Replaces: netscript, netscript-2.4, ifupdown
 Recommends: quagga | radvd
 Suggests: whereami, dnsmasq, resolvconf, dhclient | pump | dhcpcd, wpasupplicant, wicd, quagga
 Description: Linux 2.4/2.6 router/firewall/VM host network config. system.

## netscript-2.4 5.2.9

=== debian/changelog ===
netscript-2.4 (5.2.9) unstable; urgency=low

  * Made netscript depend on /bin/bash as it needs the ability to list 
    shell script functions. Dash does not provide this.

 -- Matthew Grant <matthewgrant5@gmail.com>  Sun, 25 Sep 2011 20:53:28 +1300

netscript-2.4 (5.2.8) unstable; urgency=low

  * Fix issue with filters not being loaded on IPv6 due to kernel version
    not being detected. 

 -- Matthew Grant <matthewgrant5@gmail.com>  Fri, 09 Sep 2011 08:50:02 +1200

netscript-2.4 (5.2.7) unstable; urgency=low

  * Module unloading/loading for linux kernel v 3.0.  Includes ipi_set and 
    ip_vs modules. 

 -- Matthew Grant <matthewgrant5@gmail.com>  Sat, 20 Aug 2011 14:38:41 +1200

netscript-2.4 (5.2.6) unstable; urgency=low

  * Inital support for Linux 3.0 in terms of version checking. 

 -- Matthew Grant <matthewgrant5@gmail.com>  Wed, 17 Aug 2011 07:40:49 +1200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 
 Package: netscript-2.4
 Architecture: all
-Depends: iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables | iptables-router (>= 1.2.3), netbase, bash (>= 2.03), dhcp-client | dhcp3-client, ${misc:Depends}
+Depends: iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables, netbase, bash (>= 2.03), dhcp-client | dhcp3-client, ${misc:Depends}
 Provides: netscript, ifupdown
 Conflicts: netscript, netscript-2.2, ifupdown
 Replaces: netscript, ifupdown
 Recommends: quagga | radvd
-Suggests: whereami, dnsmasq, resolvconf, dhclient | pump | dhcpcd, wpasupplicant, wicd, quagga
+Suggests: whereami, dnsmasq, resolvconf, wpasupplicant, wicd, quagga
 Description: Linux 2.4/2.6 router/firewall/VM host network config. system.
  This is a router and firewall network configuration system.  It is specific to
  the 2.4.x and 2.6.x kernel series. This system is in production use, even

## netscript-2.4 5.2.9ubuntu1

=== Makefile ===
--- 
+++ 
@@ -23,14 +23,13 @@
 install: dummy
 	- mkdir -p $(SBINDIR)
 #	- mkdir -p $(USRSBINDIR)
-	- mkdir -p $(INITDIR)
+	- mkdir -p $(UDEVLIBDIR)
 	- mkdir -p $(CONFDIR)
 	- mkdir -p -m 700 $(IPDEFSCONFDIR)
 	- mkdir -p $(PPPUPDIR)
 	- mkdir -p $(PPPDOWNDIR)
 	$(INSTALL) -m 755 netscript $(SBINDIR)/netscript
 	$(INSTALL) -m 755 netscript-compile $(SBINDIR)/netscript-compile
-	$(INSTALL) -m 755 netscript.init $(INITDIR)/netscript
 	$(INSTALL) -m 755 wep.conf $(CONFDIR)
 	$(INSTALL) -m 644 ipfilter.conf network.conf $(CONFDIR)
 	$(INSTALL) -m 644 if.conf qos.conf $(CONFDIR)

=== debian/changelog ===
netscript-2.4 (5.2.9ubuntu1) precise; urgency=low

  * Start netscript on 'or container', to let us optimize the udevtrigger
    job.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 04 Apr 2012 17:52:53 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: netscript-2.4
 Section: net
 Priority: optional
-Maintainer: Matthew Grant <matthewgrant5@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthew Grant <matthewgrant5@gmail.com>
 Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7)

=== debian/rules ===
--- 
+++ 
@@ -46,8 +46,9 @@
 	dh_installdocs --all
 #	dh_installexamples
 	dh_installinit --package=netscript-2.4 --name=netscript --no-start -- start 35 0 6 . start 40 S .
-	dh_installinit --package=netscript-2.4-upstart --name=netscript --no-start
-	dh_installinit --package=netscript-2.4-upstart --name=netscript-interface --no-start
+	dh_installinit --package=netscript-2.4-upstart --name=netscript --noscripts
+	dh_installinit --package=netscript-2.4-upstart --name=netscript-interface --noscripts
+	dh_installinit --package=netscript-2.4-upstart --name=netscript-shutdown --noscripts
 	dh_installudev --package=netscript-2.4 --name=netscript --priority=85
 	dh_installman -A netscript-2.4.conf.5 netscript.8 netscript-compile.8 ipfilter-defs.5
 	dh_lintian

## netscript-2.4 5.2.9ubuntu2

=== debian/changelog ===
netscript-2.4 (5.2.9ubuntu2) quantal; urgency=low

  * Switch dependancies from the now obsolete transitional package 
    dhcp3-client to the replacement isc-dhcp-client.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 11 Jul 2012 10:13:23 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: netscript-2.4
 Architecture: all
-Depends: iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables, netbase, bash (>= 2.03), dhcp-client | dhcp3-client, ${misc:Depends}
+Depends: iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables, netbase, bash (>= 2.03), dhcp-client | isc-dhcp-client, ${misc:Depends}
 Provides: netscript, ifupdown
 Conflicts: netscript, netscript-2.2, ifupdown
 Replaces: netscript, ifupdown
@@ -41,7 +41,7 @@
 
 Package: netscript-2.4-upstart
 Architecture: all
-Depends: iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables | iptables-router (>= 1.2.3), netbase, bash (>= 2.03), dhcp-client | dhcp3-client, upstart, ${misc:Depends}
+Depends: iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables | iptables-router (>= 1.2.3), netbase, bash (>= 2.03), dhcp-client | isc-dhcp-client, upstart, ${misc:Depends}
 Provides: netscript, ifupdown
 Conflicts: netscript, netscript-2.2, ifupdown
 Replaces: netscript, netscript-2.4, ifupdown

## netscript-2.4 5.2.10

=== debian/changelog ===
netscript-2.4 (5.2.10) unstable; urgency=low

  * Fix IPv6 MTU override and add IPv6 icmp-host chain.

 -- Matthew Grant <matthewgrant5@gmail.com>  Sun, 19 Feb 2012 10:05:01 +1300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: netscript-2.4
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthew Grant <matthewgrant5@gmail.com>
+Maintainer: Matthew Grant <matthewgrant5@gmail.com>
 Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7)
 
 Package: netscript-2.4
 Architecture: all
-Depends: iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables, netbase, bash (>= 2.03), dhcp-client | isc-dhcp-client, ${misc:Depends}
+Depends: iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables, netbase, bash (>= 2.03), dhcp-client | dhcp3-client, ${misc:Depends}
 Provides: netscript, ifupdown
 Conflicts: netscript, netscript-2.2, ifupdown
 Replaces: netscript, ifupdown
@@ -41,10 +40,10 @@
 
 Package: netscript-2.4-upstart
 Architecture: all
-Depends: iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables | iptables-router (>= 1.2.3), netbase, bash (>= 2.03), dhcp-client | isc-dhcp-client, upstart, ${misc:Depends}
-Provides: netscript, ifupdown
-Conflicts: netscript, netscript-2.2, ifupdown
-Replaces: netscript, netscript-2.4, ifupdown
+Depends: iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables | iptables-router (>= 1.2.3), netbase, bash (>= 2.03), dhcp-client | dhcp3-client, upstart, ${misc:Depends}
+Provides: netscript
+Conflicts: netscript, netscript-2.2
+Replaces: netscript, netscript-2.4
 Recommends: quagga | radvd
 Suggests: whereami, dnsmasq, resolvconf, dhclient | pump | dhcpcd, wpasupplicant, wicd, quagga
 Description: Linux 2.4/2.6 router/firewall/VM host network config. system.

## netscript-2.4 5.2.12

=== debian/changelog ===
netscript-2.4 (5.2.12) unstable; urgency=low

  * Fix missing quotes in brg_iface up call (Closes: #681641)

 -- Matthew Grant <matthewgrant5@gmail.com>  Sun, 15 Jul 2012 12:27:10 +1200

netscript-2.4 (5.2.11) unstable; urgency=low

  * Update module loading for kernel 3.2+
  * Add device to IPv6 default route command.
  * Add ability to not set IPv6 address from SLAC.
  * resolvconf option + unsetting new IPv6 RPrefix option
  * Removed netscript-2.4-upstart package as upstart is a moving target.
  * Removed netscript-2.4-upstart from debian/rules.

 -- Matthew Grant <matthewgrant5@gmail.com>  Wed, 23 May 2012 13:21:28 +1200

=== debian/control ===
Source: netscript-2.4
Section: net
Priority: optional
Maintainer: Matthew Grant <matthewgrant5@gmail.com>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 7)

Package: netscript-2.4
Architecture: all
Depends: iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables, netbase, bash (>= 2.03), dhcp3-client | dhcpcd | pump, ${misc:Depends}
Provides: netscript, ifupdown
Conflicts: netscript, netscript-2.2, ifupdown
Replaces: netscript, ifupdown
Recommends: quagga | radvd
Suggests: whereami, dnsmasq, resolvconf, wpasupplicant, wicd, quagga
Description: Linux 2.4/2.6 router/firewall/VM host network config. system.
 This is a router and firewall network configuration system.  It is specific to
 the 2.4.x and 2.6.x kernel series. This system is in production use, even
 though this is an experimental version.
 .
 It offers much finer grained control of the network setup than the standard
 system in netbase, with support for bridge configuration, iptables, ip route
 and tc traffic control.  It is optimised for use on high traffic routers with
 interfaces being reconfigured individually while the rest of the machine is 
 routing traffic 24x7.  Common boiler plate filter creation functions are 
 provided to ease the task of constructing iptables filters in the context
 of operation within an ISP network.  
 .
 Since this package is designed for a heavy duty network router, it is designed
 to work in conjunction with a routing daemon as found in the quagga package.
 .
 DON'T use this on a pure server - it is VERY useful for a Virtual Machine 
 server with complex networking needs.  This is because of its comprehensive
 network configuration capabilities.  Thus it is a tempting replacement
 when you have to rip out NetworkManager on a server.
 .
 It was originally designed for dedicated routers and firewalls, and hence its
 lightweight scripting footprint. When it comes to firewall configuration 
 though, have a look at the mason package if you are faint of heart.

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,6 @@
 
 	# Add here commands to install the package into debian/<package>.
 	$(MAKE) install DESTDIR=`pwd`/debian/netscript-2.4
-	$(MAKE) install DESTDIR=`pwd`/debian/netscript-2.4-upstart
 
 
 # Build architecture-independent files here.
@@ -46,9 +45,6 @@
 	dh_installdocs --all
 #	dh_installexamples
 	dh_installinit --package=netscript-2.4 --name=netscript --no-start -- start 35 0 6 . start 40 S .
-	dh_installinit --package=netscript-2.4-upstart --name=netscript --noscripts
-	dh_installinit --package=netscript-2.4-upstart --name=netscript-interface --noscripts
-	dh_installinit --package=netscript-2.4-upstart --name=netscript-shutdown --noscripts
 	dh_installudev --package=netscript-2.4 --name=netscript --priority=85
 	dh_installman -A netscript-2.4.conf.5 netscript.8 netscript-compile.8 ipfilter-defs.5
 	dh_lintian

## netscript-2.4 5.2.12ubuntu1

=== debian/changelog ===
netscript-2.4 (5.2.12ubuntu1) raring; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: add isc-dhcp-client to Depends:
    - debian/rules: reinstate the netscript-2.4-upstart support
    - upstart: start netscript on 'or container', to let us optimize the
      udevtrigger job.

 -- Andy Whitcroft <apw@canonical.com>  Wed, 14 Nov 2012 13:18:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: netscript-2.4
 Section: net
 Priority: optional
-Maintainer: Matthew Grant <matthewgrant5@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthew Grant <matthewgrant5@gmail.com>
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7)
 
 Package: netscript-2.4
 Architecture: all
-Depends: iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables, netbase, bash (>= 2.03), dhcp3-client | dhcpcd | pump, ${misc:Depends}
+Depends: iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables, netbase, bash (>= 2.03), dhcp3-client | dhcpcd | pump | isc-dhcp-client, ${misc:Depends}
 Provides: netscript, ifupdown
 Conflicts: netscript, netscript-2.2, ifupdown
 Replaces: netscript, ifupdown
@@ -38,3 +39,39 @@
  lightweight scripting footprint. When it comes to firewall configuration 
  though, have a look at the mason package if you are faint of heart.
 
+Package: netscript-2.4-upstart
+Architecture: all
+Depends: iproute (>= 20001007), bridge-utils (>= 0.9.3), iptables | iptables-router (>= 1.2.3), netbase, bash (>= 2.03), dhcp3-client | dhcpcd | pump | isc-dhcp-client, upstart, ${misc:Depends}
+Provides: netscript, ifupdown
+Conflicts: netscript, netscript-2.2, ifupdown
+Replaces: netscript, netscript-2.4, ifupdown
+Recommends: quagga | radvd
+Suggests: whereami, dnsmasq, resolvconf, dhclient | pump | dhcpcd, wpasupplicant, wicd, quagga
+Description: Linux 2.4/2.6 router/firewall/VM host network config. system.
+ This is a router and firewall network configuration system.  It is specific
+ to the 2.4.x and 2.6.x kernel series. This system is in production use, even
+ though this is an experimental version. This is the version of the package
+ to use with the native upstart init program.  Ir replaces ifupdown, and removes
+ network-manager as the latters interface control 'greediness' causes lots of
+ issues.
+ .
+ It offers much finer grained control of the network setup than the standard
+ system in netbase, with support for bridge configuration, iptables, ip route
+ and tc traffic control.  It is optimised for use on high traffic routers with
+ interfaces being reconfigured individually while the rest of the machine is 
+ routing traffic 24x7.  Common boiler plate filter creation functions are 
+ provided to ease the task of constructing iptables filters in the context
+ of operation within an ISP network.  
+ .
+ Since this package is designed for a heavy duty network router, it is designed
+ to work in conjunction with a routing daemon as found in the quagga package.
+ .
+ DON'T use this on a pure server - it is VERY useful for a Virtual Machine 
+ server with complex networking needs.  This is because of its comprehensive
+ network configuration capabilities.  Thus it is a tempting replacement
+ when you have to rip out NetworkManager on a server.
+ .
+ It was originally designed for dedicated routers and firewalls, and hence its
+ lightweight scripting footprint. When it comes to firewall configuration 
+ though, have a look at the mason package if you are faint of heart.
+
